#include <stdio.h>
#include <stdlib.h>
# define DIM 1000
int main()
{
    int n,L,H[DIM],br=1,i;
    do
    {
        printf("Unesite broj stalaka: ");
        scanf("%d", &n);
    }
    while(n<0 || n>DIM);
    do
    {
        printf("Unesite vrednost visine Perice: ");
        scanf("%d", &L);
    }
    while(L<1);
    for(i=0;i<n;i++)
    {
        printf("Visina %d stalaktita je: ", i+1);
        scanf("%d", &H[i]);
    }

    for(i=0;i<n;i++)
    {
        if(L>H[i] || H[i]==L)
        {
            break;
        }
        else if(H[i]>L)
        {
            br++;
        }
    }
    if(br==n)
    {
        printf("-1");
    }
    else
    {
        printf("Perica nije prosao kroz stalak broj: %d", br);
    }
    return 0;
}